#!/bin/sh
# . /etc/colors

# -------------------------------------------- Проверка модели --------------------------------------------

force=$1

if [[ "$force" != '-f' ]] && [[ "$force" != '--force' ]]; then
    camera_camera_config_file=etc/n-configs/n-camera-model.conf
    BUILD_CAMERA_MODEL=`tar xfO *.nic $camera_camera_config_file`
    [ -e "/$camera_camera_config_file" ] && CAMERA_MODEL=`cat /$camera_camera_config_file`
    if [ "$BUILD_CAMERA_MODEL" != "$CAMERA_MODEL" ]; then
        echo -e $Red
        echo -e "  Прошивка не подходит для этой камеры"
        echo -e "  Модель камеры  : $CAMERA_MODEL"
        echo -e "  Модель прошивки: $BUILD_CAMERA_MODEL"
        echo -e $NoColor
        exit 1
    fi
fi

# ---------------------------------------------- Подготовка -----------------------------------------------

pkill -9 Nexus
sleep 3
sync; echo 3 > /proc/sys/vm/drop_caches

# -------------------------------------------- Вспомогательное --------------------------------------------

tarFileTo() {
    tar -C $1 --overwrite -xvf /update/*.nic $2
}

prefix () {
    while read line; do echo -e "$prefix_line${1}${line}${NoColor}"; done; # Не работает с \n
}

# ----------------------------------------------- Установка -----------------------------------------------

Main=$Yellow
prefix_line="  ${Main}"
echo
echo -e " ${Main}Распаковка архива${NoColor}"

umount /opt

rm -rf /opt/*
tarFileTo / opt | prefix
tarFileTo / etc | prefix
tarFileTo / usr | prefix

echo
echo -e " ${Green}Готово!"
echo -e " ${Main}Камера будет перезапущена.${NoColor}"

/sbin/reboot
